#ifndef DATEFORMATWIDGET_H
#define DATEFORMATWIDGET_H
#include "timedateformatwidget.h"

class DateFormatWidget : public TimeDateFormatWidgetPrototype
{
    Q_OBJECT
  

public:
    DateFormatWidget( TQWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~DateFormatWidget();
    TQString resultString();
    int correctValue();
public slots:
    void updateLabel();
    void comboActivated();
    void slotPersonalizeChanged(bool b);
    void slotDefaultValueChanged(const TQString & );
    void slotOffsetChanged(int);
};

#endif // DATEFORMATWIDGET_H
